// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/16AICS32/samples/irq/main.h $
// $Rev: 50491 $
// $Date: 2022-02-22 18:01:34 -0600 (Tue, 22 Feb 2022) $

// 16AICS32: Sample Application: header file

#ifndef	__MAIN_H__
#define	__MAIN_H__

#include <ctype.h>
#include <errno.h>
#include <stdio.h>
#include <semaphore.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include <sys/timeb.h>

#include "16aics32_main.h"



// macros *********************************************************************

#define	SIZEOF_ARRAY(a)			(sizeof((a)) / sizeof((a)[0]))



// prototypes *****************************************************************

int	irq_wait_test(int fd, u32 gsc, int (*callback)(int fd));
int	irq0_test(int fd);
int	irq1_test(int fd);

int	perform_tests(int fd);



#endif
