// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/16AICS32/utils/util_count.c $
// $Rev: 52039 $
// $Date: 2022-11-22 10:06:09 -0600 (Tue, 22 Nov 2022) $

// 16AICS32: Utilities: source file

#include "main.h"



/******************************************************************************
*
*	Function:	aics32_count_boards
*
*	Purpose:
*
*		Count the number of installed devices.
*
*	Arguments:
*
*		verbose	Work verbosely.
*
*		get		Report the count here.
*
*	Returned:
*
*		> 0		The number of devices found.
*		== 0	No devices were found.
*
******************************************************************************/

int aics32_count_boards(int verbose, s32* get)
{
	int	errs;

	errs	= os_count_boards(verbose, get, aics32_open, aics32_read, aics32_close);
	return(errs);
}



