// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/16AICS32/samples/savedata/main.h $
// $Rev: 52045 $
// $Date: 2022-11-22 10:39:07 -0600 (Tue, 22 Nov 2022) $

// 16AICS32: Sample Application: header file

#ifndef	__MAIN_H__
#define	__MAIN_H__

#include <ctype.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>

#include "16aics32_main.h"



// macros *********************************************************************

#define	SIZEOF_ARRAY(a)						(sizeof((a)) / sizeof((a)[0]))



// data types *****************************************************************

typedef struct
{
	// Application Settings

	s32	continuous;
	s32	index;
	s32	minute_limit;
	s32	test_limit;

	int	fd;

	// Device Settings

	s32	io_mode;
} args_t;



// prototypes *****************************************************************

int	perform_tests(const args_t* args);



#endif
